#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: hxt
version: 9.3.1.4
id: hxt-9.3.1.4-0bdc814d2c0e0930484060896507450a

license: MIT
copyright: Copyright (c) 2005-2014 Uwe Schmidt
maintainer: Uwe Schmidt <uwe@fh-wedel.de>
stability: Stable
homepage: http://www.fh-wedel.de/~si/HXmlToolbox/index.html
package-url:
synopsis: A collection of tools for processing XML with Haskell.
description: The Haskell XML Toolbox bases on the ideas of HaXml and HXML,
             but introduces a more general approach for processing XML with Haskell.
             The Haskell XML Toolbox uses a generic data model for representing XML documents,
             including the DTD subset and the document subset, in Haskell.
             It contains a validating XML parser, a HTML parser, namespace support,
             an XPath expression evaluator, an XSLT library, a RelaxNG schema validator
             and funtions for serialization and deserialization of user defined data.
             The library makes extensive use of the arrow approach for processing XML.
             Since version 9 the toolbox is partitioned into various (sub-)packages.
             This package contains the core functionality,
             hxt-curl, hxt-tagsoup, hxt-relaxng, hxt-xpath, hxt-xslt, hxt-regex-xmlschema contain the extensions.
             hxt-unicode contains encoding and decoding functions,
             hxt-charproperties char properties for unicode and XML.
             .
             Changes from 9.3.1.3: warnings from ghc-7.8.1 removed
             .
             Changes from 9.3.1.2: https as protocol added
             .
             Changes from 9.3.1.1: new parser xreadDoc
             .
             Changes from 9.3.1.0: in readString all input decoding switched off
             .
             Changes from 9.3.0.1: lower bound for network set to be >= 2.4
             .
             Changes from 9.3.0: upper bound for network set to be < 2.4 (URI signatures changed in 2.4)
             .
             Changes from 9.2.2: XMLSchema validation integrated
             .
             Changes from 9.2.1: user defined mime type handlers added
             .
             Changes from 9.2.0: New warnings from ghc-7.4 removed
category: XML
author: Uwe Schmidt, Martin Schmidt, Torben Kuseler
exposed: True
exposed-modules: Control.Arrow.ArrowExc Control.Arrow.ArrowIO
                 Control.Arrow.ArrowIf Control.Arrow.ArrowList Control.Arrow.ArrowNF
                 Control.Arrow.ArrowNavigatableTree Control.Arrow.ArrowState
                 Control.Arrow.ArrowTree Control.Arrow.IOListArrow
                 Control.Arrow.IOStateListArrow Control.Arrow.ListArrow
                 Control.Arrow.ListArrows Control.Arrow.NTreeEdit
                 Control.Arrow.StateListArrow Control.FlatSeq Data.AssocList
                 Data.Atom Data.Function.Selector Data.Tree.Class
                 Data.Tree.NTree.TypeDefs Data.Tree.NTree.Edit
                 Data.Tree.NTree.Zipper.TypeDefs Data.Tree.NavigatableTree.Class
                 Data.Tree.NavigatableTree.XPathAxis Text.XML.HXT.Arrow.Binary
                 Text.XML.HXT.Arrow.DTDProcessing Text.XML.HXT.Arrow.DocumentInput
                 Text.XML.HXT.Arrow.DocumentOutput Text.XML.HXT.Arrow.Edit
                 Text.XML.HXT.Arrow.GeneralEntitySubstitution
                 Text.XML.HXT.Arrow.Namespace Text.XML.HXT.Arrow.ParserInterface
                 Text.XML.HXT.Arrow.Pickle Text.XML.HXT.Arrow.Pickle.DTD
                 Text.XML.HXT.Arrow.Pickle.Schema Text.XML.HXT.Arrow.Pickle.Xml
                 Text.XML.HXT.Arrow.ProcessDocument Text.XML.HXT.Arrow.ReadDocument
                 Text.XML.HXT.Arrow.WriteDocument Text.XML.HXT.Arrow.XmlArrow
                 Text.XML.HXT.Arrow.XmlOptions Text.XML.HXT.Arrow.XmlRegex
                 Text.XML.HXT.Arrow.XmlState
                 Text.XML.HXT.Arrow.XmlState.ErrorHandling
                 Text.XML.HXT.Arrow.XmlState.MimeTypeTable
                 Text.XML.HXT.Arrow.XmlState.RunIOStateArrow
                 Text.XML.HXT.Arrow.XmlState.TraceHandling
                 Text.XML.HXT.Arrow.XmlState.TypeDefs
                 Text.XML.HXT.Arrow.XmlState.URIHandling
                 Text.XML.HXT.Arrow.XmlState.SystemConfig Text.XML.HXT.Core
                 Text.XML.HXT.DOM.FormatXmlTree Text.XML.HXT.DOM.Interface
                 Text.XML.HXT.DOM.MimeTypeDefaults Text.XML.HXT.DOM.MimeTypes
                 Text.XML.HXT.DOM.QualifiedName Text.XML.HXT.DOM.ShowXml
                 Text.XML.HXT.DOM.TypeDefs Text.XML.HXT.DOM.Util
                 Text.XML.HXT.DOM.XmlKeywords Text.XML.HXT.DOM.XmlNode
                 Text.XML.HXT.DTDValidation.AttributeValueValidation
                 Text.XML.HXT.DTDValidation.DTDValidation
                 Text.XML.HXT.DTDValidation.DocTransformation
                 Text.XML.HXT.DTDValidation.DocValidation
                 Text.XML.HXT.DTDValidation.IdValidation
                 Text.XML.HXT.DTDValidation.RE Text.XML.HXT.DTDValidation.TypeDefs
                 Text.XML.HXT.DTDValidation.Validation
                 Text.XML.HXT.DTDValidation.XmlRE Text.XML.HXT.IO.GetFILE
                 Text.XML.HXT.Parser.HtmlParsec
                 Text.XML.HXT.Parser.ProtocolHandlerUtil
                 Text.XML.HXT.Parser.XhtmlEntities Text.XML.HXT.Parser.XmlCharParser
                 Text.XML.HXT.Parser.XmlDTDParser
                 Text.XML.HXT.Parser.XmlDTDTokenParser
                 Text.XML.HXT.Parser.XmlEntities Text.XML.HXT.Parser.XmlParsec
                 Text.XML.HXT.Parser.XmlTokenParser
                 Text.XML.HXT.XMLSchema.DataTypeLibW3CNames Text.XML.HXT.Version
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/hxt-9.3.1.4
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/hxt-9.3.1.4
              /usr/local/lib
hs-libraries: HShxt-9.3.1.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.5.2-5968ced93139d48b488414df902b5d37
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         binary-0.7.1.0-fdf5e9ff14a1a435f4c200e5bb5946e6
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         deepseq-1.3.0.2-733fe43e121f761739636bd6670bea77
         directory-1.2.1.0-7bc3edddb9ec0c2616861a4f1c5f6c54
         filepath-1.3.0.2-1580a61d3226e4be45fe2130dc2881e3
         hxt-charproperties-9.1.1.1-23f3ed37c6be3beb9284bdf530ff53d0
         hxt-regex-xmlschema-9.1.0-8915e6ac563d6d46daf8e7be5db6afbc
         hxt-unicode-9.0.2.2-7430e59ec88b97da5c5524dc3a5ccc66
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
         network-2.4.2.3-dd7481ccaa1ad53154748ec81e6c49e7
         parsec-3.1.5-c32e70663fb4fa12ab08788309c4a4b1
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/hxt-9.3.1.4/html/hxt.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/hxt-9.3.1.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
